import arcpy
mapName = 'C:/gispy/scratch/ch24/maps/states.mxd'
mxd = arcpy.mapping.MapDocument(mapName)
dfs = arcpy.mapping.ListDataFrames(mxd)

for df in dfs:
     print "Frame " + df.name
     layers = arcpy.mapping.ListLayers(mxd, "*", df)
     for layer in layers:
         if layer.isFeatureLayer:
             print("\t" + layer.name)